# To use RT together with SpeedyCGI, available in the 
# speedy-cgi-perl package, include this file with:
#
#   Include /etc/request-tracker3.8/apache2-speedycgi.conf
# 
# into your Apache configuration file, or symlink it into 
# /etc/apache2/conf.d.
#
# You can also use libapache2-mod-speedycgi to get a further 
# speed optimization, but its configuration is not covered here.
#

# Note that you will need to make readable the file
# /etc/request-tracker3.8/RT_SiteConfig.pm for the www-data user. 
#
# If you allow users to run php or cgi scripts as the www-data user
# this might result in you effectively letting them know your rt
# database password and username.

# You might want to enable this line
# AddDefaultCharset UTF-8

# We use this to prevent requests for images being sent through to
# the RT::Mason handler.
Alias /rt/NoAuth/images /usr/share/request-tracker3.8/html/NoAuth/images

# Handle everything else with this
ScriptAlias /rt /usr/share/request-tracker3.8/libexec/mason_handler.scgi

<Location /rt/>
 DirectoryIndex index.html
</Location>

# Limit mail gateway access to localhost by default
<Location /rt/REST/1.0/NoAuth>
    Order Allow,Deny
    Allow from 127.0.0.1
</Location>

